summaryrefslogtreecommitdiff
path: root/misc/example
diff options
context:
space:
mode:
authorStefan Wintermeyer <stefan.wintermeyer@amooma.de>2012-12-17 12:01:45 +0100
committerStefan Wintermeyer <stefan.wintermeyer@amooma.de>2012-12-17 12:01:45 +0100
commitb80bd744ad873f6fc43018bc4bfb90677de167bd (patch)
tree072c4b0e33d442528555b82c415f5e7a1712b2b0 /misc/example
parent3e706c2025ecc5523e81ad649639ef2ff75e7bac (diff)
Start of GS5.
Diffstat (limited to 'misc/example')
-rw-r--r--misc/example/apache-gs5.conf24
-rw-r--r--misc/example/nginx73
-rw-r--r--misc/example/xml-interface.txt25
3 files changed, 122 insertions, 0 deletions
diff --git a/misc/example/apache-gs5.conf b/misc/example/apache-gs5.conf
new file mode 100644
index 0000000..ef81952
--- /dev/null
+++ b/misc/example/apache-gs5.conf
@@ -0,0 +1,24 @@
+
+ LoadModule passenger_module /usr/local/rvm/gems/ruby-1.9.2-p290/gems/passenger-3.0.11/ext/apache2/mod_passenger.so
+ PassengerRoot /usr/local/rvm/gems/ruby-1.9.2-p290/gems/passenger-3.0.11
+ PassengerRuby /usr/local/rvm/wrappers/ruby-1.9.2-p290/ruby
+
+
+
+ <VirtualHost *:443>
+ ErrorLog "|/usr/bin/logger -t apache -i -p local6.notice"
+ CustomLog "|/usr/bin/logger -t apache -i -p local6.notice" combined
+
+
+ DocumentRoot /opt/GS5/public
+ PassengerAppRoot /opt/GS5
+ RailsEnv development
+ <Directory /opt/GS5/public>
+ AllowOverride all
+ Options -MultiViews
+ Options FollowSymLinks
+ </Directory>
+ SSLEngine on
+ SSLCertificateFile /etc/ssl/amooma/server_cert.pem
+ SSLCertificateKeyFile /etc/ssl/amooma/server_key.pem
+ </VirtualHost>
diff --git a/misc/example/nginx b/misc/example/nginx
new file mode 100644
index 0000000..ccb2bbb
--- /dev/null
+++ b/misc/example/nginx
@@ -0,0 +1,73 @@
+#!/bin/sh
+
+#####################################################################
+# nginx
+# Start Script
+# (c) AMOOMA GmbH 2012
+#####################################################################
+
+### BEGIN INIT INFO
+# Provides: nginx
+# Required-Start: freeswitch
+# Required-Stop: freeswitch
+# Default-Start: 2 3 4 5
+# Default-Stop: 0 1 6
+# Short-Description: starts nginx
+# Description: starts nginx
+#
+### END INIT INFO
+
+DAEMON=/opt/nginx/sbin/nginx
+EXECUTABLE=`basename 'nginx'`
+NAME=nginx
+DESC=nginx
+ARGS=""
+
+if ! [ -x $DAEMON ] ; then
+ echo "ERROR: $DAEMON not found"
+ exit 1
+fi
+
+set -e
+
+. /lib/lsb/init-functions
+
+case "$1" in
+ start)
+ echo -n "Starting $DESC: "
+ start-stop-daemon --start --quiet --pidfile /opt/nginx/logs/$NAME.pid \
+ --exec $DAEMON -- $DAEMON_OPTS
+ echo "$NAME."
+ ;;
+ stop)
+ echo -n "Stopping $DESC: "
+ start-stop-daemon --stop --quiet --pidfile /opt/nginx/logs/$NAME.pid \
+ --exec $DAEMON
+ echo "$NAME."
+ ;;
+ restart|force-reload)
+ echo -n "Restarting $DESC: "
+ start-stop-daemon --stop --quiet --pidfile \
+ /opt/nginx/logs/$NAME.pid --exec $DAEMON
+ sleep 1
+ start-stop-daemon --start --quiet --pidfile \
+ /opt/nginx/logs/$NAME.pid --exec $DAEMON -- $DAEMON_OPTS
+ echo "$NAME."
+ ;;
+ reload)
+ echo -n "Reloading $DESC configuration: "
+ start-stop-daemon --stop --signal HUP --quiet --pidfile /opt/nginx/logs/$NAME.pid \
+ --exec $DAEMON
+ echo "$NAME."
+ ;;
+ status)
+ status_of_proc -p /opt/nginx/logs/$NAME.pid "$DAEMON" nginx
+ ;;
+ *)
+ N=/etc/init.d/$NAME
+ echo "Usage: $N {start|stop|restart|reload|force-reload|status}" >&2
+ exit 1
+ ;;
+esac
+
+exit 0
diff --git a/misc/example/xml-interface.txt b/misc/example/xml-interface.txt
new file mode 100644
index 0000000..9f05540
--- /dev/null
+++ b/misc/example/xml-interface.txt
@@ -0,0 +1,25 @@
+User anlegen
+============
+
+echo '<row><UserName>2222</UserName><LastName>Meyer</LastName><FirstName>Fritz</FirstName><PhoneOffice>+49 228 1234567</PhoneOffice><VoipNr>665544</VoipNr><CellPhone>+49 171 123456</CellPhone><Fax>+49 228 1234444</Fax><Email>fritz.meier@example.com</Email><PIN>123456</PIN><PIN_LastUpdate>2010-11-22T07:09:07.5256939</PIN_LastUpdate><Photo>example.jpg</Photo></row>' | curl -X POST -H 'Content-type: text/xml' -d @- http://0.0.0.0:3000/api/rows
+
+Userdaten abrufen
+=================
+curl -H 'Content-type: text/xml' http://0.0.0.0:3000/api/rows/1.xml
+
+User löschen
+============
+
+curl -i -H "Accept: application/xml" -X DELETE http://0.0.0.0:3000/api/rows/1
+
+If only the user name is known:
+curl -i -H "Accept: application/xml" -X DELETE http://0.0.0.0:3000/api/rows/999999?user_name=12345
+
+
+User updaten
+============
+
+curl -i -X PUT -H 'Content-Type: application/xml' -d '<row><PhoneOffice>+49 228 5555555</PhoneOffice><VoipNr>665544</VoipNr></row>' http://localhost:3000/api/rows/1
+
+If only the user name is known:
+curl -i -X PUT -H 'Content-Type: application/xml' -d '<row><PhoneOffice>+49 228 5555555</PhoneOffice><VoipNr>665544</VoipNr></row>' http://localhost:3000/api/rows/999999?user_name=12345 \ No newline at end of file